polybori::groebner::PairStatusSet Class Reference

This class defines PairStatusSet. More...

`#include <PairStatusSet.h>`

## Public Types

typedef boost::dynamic_bitset | bitvector_type

## Public Member Functions

bool | hasTRep (int ia, int ja) const
void | setToHasTRep (int ia, int ja)
template<class Iterator >
void | setToHasTRep (Iterator start, Iterator finish, int ja)
void | setToUncalculated (int ia, int ja)
template<class Iterator >
void | setToUncalculated (Iterator start, Iterator finish, int ja)
int | prolong (bool value=UNCALCULATED)
| PairStatusSet (int size=0)

## Static Public Attributes

static const bool | HAS_T_REP =true
static const bool | UNCALCULATED =false

## Protected Attributes

std::vector< bitvector_type > | table

## Detailed Description

This class defines PairStatusSet.

## Member Typedef Documentation

typedef boost::dynamic_bitset polybori::groebner::PairStatusSet::bitvector_type

## Constructor & Destructor Documentation

polybori::groebner::PairStatusSet::PairStatusSet | ( | int | size = `0`) |  |

inline

## Member Function Documentation

bool polybori::groebner::PairStatusSet::hasTRep | ( | int | ia,
|  | int | ja
| ) |  | const

inline

int polybori::groebner::PairStatusSet::prolong | ( | bool | value = `UNCALCULATED`) |  |

inline

void polybori::groebner::PairStatusSet::setToHasTRep | ( | int | ia,
|  | int | ja
| ) |  |

inline

template<class Iterator >

void polybori::groebner::PairStatusSet::setToHasTRep | ( | Iterator | start,
|  | Iterator | finish,
|  | int | ja
| ) |  |

inline

void polybori::groebner::PairStatusSet::setToUncalculated | ( | int | ia,
|  | int | ja
| ) |  |

inline

template<class Iterator >

void polybori::groebner::PairStatusSet::setToUncalculated | ( | Iterator | start,
|  | Iterator | finish,
|  | int | ja
| ) |  |

inline

## Member Data Documentation

const bool polybori::groebner::PairStatusSet::HAS_T_REP =true

static

std::vector<bitvector_type> polybori::groebner::PairStatusSet::table

protected

const bool polybori::groebner::PairStatusSet::UNCALCULATED =false

static

The documentation for this class was generated from the following file:

- PairStatusSet.h